# from gym.envs.registration import register
from gymnasium.envs.registration import register

def register_custom_envs():
    register(
        id="dst_d-v0",
        entry_point="envs.dst:DeepSeaTreasureEnv",
        max_episode_steps=50,
    )

    register(
        id="mo-halfcheetah-edit-v4",
        entry_point="envs.half_cheetah:MOHalfCheehtahEnv",
        max_episode_steps=1000,
    )

    register(
        id="mo-hopper-edit-v4",
        entry_point="envs.hopper:MOHopperEnv",
        max_episode_steps=1000,
    )

    register(
        id="mo-ant-v4",
        entry_point="envs.ant:MOAntEnv",
        max_episode_steps=1000,
    )

    register(
        id="mo-walker-v4",
        entry_point="envs.walker2d_v4:MOWalker2dEnv",
        max_episode_steps=1000,
    )
